//*****************************************************************************
//
// This file is generated by ftrasterize; DO NOT EDIT BY HAND!
//
//*****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include "grlib/grlib.h"

//*****************************************************************************
//
// Details of this font:
//     Characters: 32 to 126 inclusive
//     Style: apercu
//     Size: 12 point
//     Bold: yes
//     Italic: no
//     Memory usage: 1508 bytes
//
//*****************************************************************************

//*****************************************************************************
//
// The compressed data for the 12 point Apercu bold font.
// Contains characters 32 to 126 inclusive.
//
//*****************************************************************************
static const unsigned char g_pucApercu12bData[1308] =
{
      5,   5,   0,   7,  64,  10,   3,  50,  18,  18,  18,  18,
     66,  18, 160,  10,   5,  84,  17,  18,  17,  33, 240, 240,
    176,  18,   8, 162,  17,  65,  33,  39,  34,  18,  50,  18,
     39,  33,  33,  65,  18, 240, 192,  16,   6,  33,  67,  34,
     17,  34,  68,  67,  17,  34,  17,  34,  35,  65, 240,  23,
     10, 163,  65,  33,  18,  33,  67,  17, 130, 114,  18,  81,
     17,  18,  49,  33,  18,  33,  66, 240, 240,  32,  15,   8,
    162,  84,  68,  81,  84,  17,  34,  19,  34,  34,  54, 240,
    160,   7,   3,  50,  17,  33, 240, 176,  12,   4,  82,  33,
     34,  34,  34,  34,  34,  49,  50, 144,  12,   4,  66,  49,
     50,  34,  34,  34,  34,  33,  34, 160,  10,   6, 129,  53,
     49,  65,  17, 240, 240, 224,  11,   7, 240, 130,  82,  54,
     50,  82, 240, 240,  16,   7,   3, 240, 146,  18,  17,  80,
      7,   5, 240, 164, 240, 240,  16,   6,   3, 240,  98,  18,
    160,  14,   8,  82,  97,  98,  97,  98,  97,  97,  98,  97,
     98, 240, 112,  18,   7, 132,  49,  33,  34,  34,  18,  34,
     18,  34,  18,  34,  33,  34,  36, 240, 128,  13,   5, 114,
     20,  17,  18,  50,  50,  50,  50,  50, 240,  16,  13,   6,
    115,  33,  34,  66,  66,  50,  50,  65,  69, 240,  64,  13,
      6, 101,  50,  50,  67,  82,  66,  17,  34,  35, 240,  80,
     14,   7, 162,  67,  67,  49,  18,  34,  18,  38,  66,  82,
    240, 128,  14,   7, 132,  49,  82,  85,  33,  50,  82,  18,
     34,  36, 240, 128,  15,   7, 161,  82,  66,  84,  34,  34,
     18,  34,  18,  34,  36, 240, 128,  12,   6, 101,  66,  65,
     66,  65,  66,  66,  65, 240, 112,  17,   7, 131,  49,  49,
     33,  49,  51,  49,  50,  17,  50,  17,  50,  36, 240, 128,
     15,   7, 132,  34,  34,  18,  34,  18,  34,  36,  82,  66,
     81, 240, 160,   7,   3, 146,  18, 114,  18, 160,   8,   4,
    210,  34, 226,  33,  34,  96,  11,   6, 240,  17,  51,  19,
     50,  83,  82, 240, 160,   8,   6, 240, 149, 117, 240, 240,
     16,  10,   6, 240,  50,  83,  82,  35,  34, 240, 208,  12,
      5,  84,  17,  33,  35,  33,  66, 130,  50, 240,  32,  21,
     11, 229,  67,  50,  39,  18,  20,  33,  18,  20,  33,  18,
     18,  22,  34, 162,  65,  86, 240, 160,  16,   8, 178,  83,
     83,  81,  18,  50,  18,  53,  49,  50,  18,  50, 240, 160,
     17,   7, 117,  34,  34,  18,  34,  21,  34,  34,  18,  34,
     18,  34,  21, 240, 128,  16,   9, 180,  66,  50,  18,  65,
     34, 114, 114,  65,  50,  50,  52, 240, 240,  18,   8, 133,
     50,  34,  34,  50,  18,  50,  18,  50,  18,  50,  18,  34,
     37, 240, 192,  12,   7, 118,  18,  82,  85,  34,  82,  82,
     86, 240, 112,  12,   7, 118,  18,  82,  85,  34,  82,  82,
     82, 240, 176,  17,   8, 164,  50,  34,  18,  98,  98,  35,
     18,  50,  34,  34,  51,  17, 240, 160,  19,   8, 130,  50,
     18,  50,  18,  50,  23,  18,  50,  18,  50,  18,  50,  18,
     50, 240, 160,  11,   3,  50,  18,  18,  18,  18,  18,  18,
     18, 160,  13,   7, 178,  82,  82,  82,  82,  82,  18,  34,
     36, 240, 128,  17,   8, 130,  34,  34,  18,  52,  67,  84,
     66,  18,  50,  34,  34,  50, 240, 160,  12,   7, 114,  82,
     82,  82,  82,  82,  82,  86, 240, 112,  22,   9, 146,  66,
     19,  35,  19,  35,  19,  35,  18,  21,  18,  18,  18,  18,
     18,  18,  18,  66, 240, 208,  20,   7, 114,  34,  19,  18,
     19,  18,  19,  18,  18,  19,  18,  19,  18,  19,  18,  34,
    240, 112,  18,   9, 180,  66,  34,  34,  66,  18,  66,  18,
     66,  18,  66,  34,  34,  68, 240, 240,  15,   7, 117,  34,
     34,  18,  34,  18,  34,  21,  34,  82,  82, 240, 176,  18,
      9, 180,  66,  34,  34,  66,  18,  66,  18,  66,  18,  36,
     34,  34,  70, 240, 208,  18,   7, 117,  34,  34,  18,  34,
     21,  34,  17,  50,  18,  34,  34,  18,  34, 240, 112,  15,
      6, 115,  34,  17,  34,  68,  52,  17,  34,  17,  34,  35,
    240,  80,  12,   7, 118,  50,  82,  82,  82,  82,  82,  82,
    240, 144,  19,   7, 114,  34,  18,  34,  18,  34,  18,  34,
     18,  34,  18,  34,  18,  34,  36, 240, 128,  18,   8, 130,
     50,  33,  50,  34,  33,  50,  18,  65,  18,  65,  17,  83,
     98, 240, 192,  27,  12, 194, 114,  33,  49,  49,  49,  35,
     33,  50,  17,  17,  18,  50,  17,  17,  18,  67,  19,  83,
     34,  82,  50, 240, 240, 144,  17,   8, 145,  49,  50,  18,
     67,  98,  83,  81,  17,  66,  18,  34,  50, 240, 160,  14,
      7, 114,  34,  18,  34,  36,  52,  66,  82,  82,  82, 240,
    144,  12,   7, 118,  66,  82,  66,  82,  66,  82,  70, 240,
    112,  12,   4,   3,  18,  34,  34,  34,  34,  34,  34,  35,
    208,  13,   7,   1,  98,  97,  98,  97, 113,  98,  97,  98,
     97, 240,  12,   4,   3,  34,  34,  34,  34,  34,  34,  34,
     19, 208,  12,   7, 146,  65,  17,  50,  18,  33,  50,   0,
      6,  32,   6,   6,   0,   6, 101, 208,   6,   3,  50, 240,
    240,  16,  14,   6, 240,  67,  49,  18,  36,  18,  18,  18,
     18,  21, 240,  64,  16,   7, 114,  82,  85,  34,  34,  18,
     34,  18,  34,  18,  34,  21, 240, 128,  13,   7, 240, 116,
     34,  34,  18,  82,  82,  34,  36, 240, 128,  16,   7, 178,
     82,  37,  18,  34,  18,  34,  18,  34,  18,  34,  37, 240,
    112,  13,   7, 240, 116,  34,  34,  22,  18,  82,  34,  36,
    240, 128,  12,   5,  99,  18,  52,  18,  50,  50,  50,  50,
    240,  48,  14,   7, 240, 117,  18,  18,  52,  34,  82,  86,
     18,  34,  36, 144,  17,   7, 114,  82,  86,  18,  34,  18,
     34,  18,  34,  18,  34,  18,  34, 240, 112,  11,   3,  50,
     18,  18,  18,  18,  18,  18,  18, 160,  13,   4,  82,  34,
     34,  34,  34,  34,  34,  34,  34,  18,  96,  16,   7, 114,
     82,  82,  33,  34,  17,  52,  52,  50,  18,  34,  34, 240,
    112,  11,   3,  50,  18,  18,  18,  18,  18,  18,  18, 160,
     21,   9, 240, 200,  18,  18,  18,  18,  18,  18,  18,  18,
     18,  18,  18,  18,  18,  18,  18, 240, 208,  16,   6, 240,
     53,  18,  18,  18,  18,  18,  18,  18,  18,  18,  18, 240,
     64,  15,   7, 240, 116,  34,  34,  18,  34,  18,  34,  18,
     34,  36, 240, 128,  16,   7, 240, 101,  34,  34,  18,  34,
     18,  34,  18,  34,  21,  34,  82, 192,  16,   7, 240, 117,
     18,  34,  18,  34,  18,  34,  18,  34,  37,  82,  82, 128,
     10,   5, 244,  19,  34,  50,  50,  50, 240,  48,  12,   6,
    240,  67,  49,  82,  83,  17,  34,  35, 240,  80,  12,   5,
     98,  50,  36,  34,  50,  50,  50,  66, 240,  16,  16,   6,
    240,  50,  18,  18,  18,  18,  18,  18,  18,  18,  18,  21,
    240,  64,  14,   6, 240,  50,  33,  33,  33,  33,  18,  35,
     66,  66, 240,  80,  21,  10, 240, 242,  33,  34,  33,  34,
     17,  49,  19,  17,  51,  19,  66,  18,  82,  18, 240, 240,
     48,  13,   6, 240,  65,  33,  36,  50,  66,  52,  18,  33,
    240,  64,  14,   7, 240,  98,  34,  33,  33,  52,  51,  82,
     82,  81,  82, 176,  10,   5, 244,  49,  65,  49,  65,  52,
    240,  16,  12,   5,  99,  34,  50,  50,  34,  66,  50,  50,
     51, 176,  12,   3,  50,  18,  18,  18,  18,  18,  18,  18,
     18, 112,  12,   5,  83,  50,  50,  50,  66,  34,  50,  50,
     35, 192,  10,   7, 240, 211,  33,  17,  35, 240, 240, 208,};

//*****************************************************************************
//
// The font definition for the 12 point Apercu bold font.
//
//*****************************************************************************
const tFont g_sFontApercu12b =
{
    //
    // The format of the font.
    //
    FONT_FMT_PIXEL_RLE,

    //
    // The maximum width of the font.
    //
    10,

    //
    // The height of the font.
    //
    12,

    //
    // The baseline of the font.
    //
    9,

    //
    // The offset to each character in the font.
    //
    {
           0,    5,   15,   25,   43,   59,   82,   97,
         104,  116,  128,  138,  149,  156,  163,  169,
         183,  201,  214,  227,  240,  254,  268,  283,
         295,  312,  327,  334,  342,  353,  361,  371,
         383,  404,  420,  437,  453,  471,  483,  495,
         512,  531,  542,  555,  572,  584,  606,  626,
         644,  659,  677,  695,  710,  722,  741,  759,
         786,  803,  817,  829,  841,  854,  866,  878,
         884,  890,  904,  920,  933,  949,  962,  974,
         988, 1005, 1016, 1029, 1045, 1056, 1077, 1093,
        1108, 1124, 1140, 1150, 1162, 1174, 1190, 1204,
        1225, 1238, 1252, 1262, 1274, 1286, 1298,
    },

    //
    // A pointer to the actual font data
    //
    g_pucApercu12bData
};
